# Created by pyp2rpm-1.0.1
%global pypi_name xlutils
%global with_python3 0

Name:           python-xlutils
Version:        1.7.0
Release:        %mkrel 7
Group:          Development/Python
Summary:        Utilities for working with Excel files that require both xlrd and xlwt

License:        MIT
Source0:        https://pypi.python.org/packages/source/x/xlutils/xlutils-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-pkginfo
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-pkginfo
%endif # if with_python3
 
Requires:       python-xlrd >= 0.7.2
Requires:       python-xlwt >= 0.7.4

%description
=======
xlutils
=======

This package provides a collection of utilities for
working with Excel
files. Since these utilities may require either or both of
the xlrd
and xlwt packages, they are collected together here, separate from
either
package.

Currently available are:

**xlutils.copy**
  Tools for copying
xlrd.Book objects to xlwt.Workbook objects.

**xlutils.display**
  Utility
functions for ...

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Utilities for working with Excel files that require both xlrd and xlwt
 
Requires:       python3-xlrd >= 0.7.2
Requires:       python3-xlwt >= 0.7.4

%description -n python3-%{pypi_name}
=======
xlutils
=======

This package provides a collection of utilities for
working with Excel
files. Since these utilities may require either or both of
the xlrd
and xlwt packages, they are collected together here, separate from
either
package.

Currently available are:

**xlutils.copy**
  Tools for copying
xlrd.Book objects to xlwt.Workbook objects.

**xlutils.display**
  Utility
functions for ...
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
# generate html docs 
sphinx-build-3.3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/margins %{buildroot}/%{_bindir}/python3-margins
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html README.txt xlutils/license.txt docs/license.txt
%{_bindir}/margins
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc html README.txt xlutils/license.txt docs/license.txt
%{_bindir}/python3-margins
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.7.0-7.mga6
+ Revision: 939046
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-6.mga5
+ Revision: 746205
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.0-5.mga5
+ Revision: 730018
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 688434
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Wed Jan 08 2014 joequant <joequant> 1.7.0-2.mga4
+ Revision: 565567
- push to core/release

* Sat Jan 04 2014 joequant <joequant> 1.7.0-1.mga4
+ Revision: 564571
- imported package python-xlutils

